#
# spec file for package yast2-alternatives
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-alternatives
Version:        4.0.0
Release:        lp151.2.2
Summary:        YaST2 - Manage Update-alternatives switching
License:        GPL-2.0
Group:          System/Yast
Url:            https://github.com/yast/yast-alternatives
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  yast2
BuildRequires:  yast2-devtools
BuildRequires:  yast2-ruby-bindings
# For install
BuildRequires:  rubygem(yast-rake)
# For test
BuildRequires:  rubygem(rspec)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A YaST2 module to manage update alternatives switching
%prep
%setup -n %{name}-%{version}

%build

%check
rake test:unit

%install
rake install DESTDIR=%{buildroot}

%post

%postun

%files
%defattr(-,root,root)
%{yast_dir}/clients/*.rb
%{yast_dir}/lib/y2_alternatives/
%{yast_dir}/lib/y2_alternatives/dialog
%{yast_dir}/lib/y2_alternatives/control
%{yast_desktopdir}/alternatives.desktop
%doc COPYING
%doc README.md

%changelog
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Mon Mar 13 2017 ancor@suse.com
- Fixed RPM packaging error (bsc#1029088)
- 3.2.0
* Mon Aug  8 2016 joaquinmnsm@gmail.com
- Added textdomain to enable translations. (bsc#1019091)
- Enabled auto submit to factory.
- Added yardopts file for code documentation.
- 3.1.4
* Wed Jul 27 2016 joaquinmnsm@gmail.com
- Shows a confirmation dialog to continue if don't have permissions.
- Fixed crash when try to save changes without permissions.
- 3.1.3
* Fri Jul 22 2016 joaquinmnsm@gmail.com
- Added entry in YaST Control Center and system menu.
- 3.1.2
* Thu Jul 21 2016 joaquinmnsm@gmail.com
- Added help button.
- 3.1.1
* Tue Jun 28 2016 joaquinmnsm@gmail.com
- Initial version
- 3.1.0
